package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 试听课
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("demo_group")
public class DemoGroup extends Model<DemoGroup> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("name_")
    private String name;
    /**
     * 单节课时
     */
    @TableField("single_class_minutes_")
    private Integer singleClassMinutes;
    /**
     * 所属分部列表
     */
    @TableField("organ_id_list_")
    private String organIdList;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 老师编号
     */
    @TableField("user_id_")
    private Integer userId;


    public Long getId() {
        return id;
    }

    public DemoGroup setId(Long id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public DemoGroup setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public DemoGroup setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
        return this;
    }

    public String getOrganIdList() {
        return organIdList;
    }

    public DemoGroup setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DemoGroup setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DemoGroup setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public DemoGroup setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "DemoGroup{" +
        ", id=" + id +
        ", name=" + name +
        ", singleClassMinutes=" + singleClassMinutes +
        ", organIdList=" + organIdList +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", userId=" + userId +
        "}";
    }
}
